# debug/debug_spider.py
import sys
import os
project_root = os.path.abspath(os.path.join(os.path.dirname(__file__), ".."))
sys.path.append(project_root)
from scrapy.crawler import CrawlerProcess
from scrapy.utils.project import get_project_settings
from TS_resume_spider.spiders.yutian_top import YutianTopSpider
from TS_resume_spider.spiders.zhrczp_com import ZunHuaComSpider
from TS_resume_spider.spiders.fnrc_vpi import FnrcVipSpider

def main():
    process = CrawlerProcess(get_project_settings())
    process.crawl(FnrcVipSpider)
    process.start()

if __name__ == '__main__':
    main()
